import { ComponentState } from "react";
export declare type Actions = {
    [actionType: string]: (state: ComponentState, params?: any) => ComponentState;
};
export declare type VoidFunction = () => void;
export declare type ListenerFunction = (newStoreState: ComponentState) => void;
export declare type SetProviderFunction = (provider: React.Component) => void;
export declare type GetStateFunction = () => ComponentState;
export declare type MapStateToProps = (state: ComponentState) => ComponentState;
export declare type Connect = (mapStateToProps: MapStateToProps) => (WrappedComponent: React.ComponentType<any>) => React.ComponentType<any>;
