"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printWarning = exports.printNextState = exports.printPrevState = void 0;
var loggerStyle = "font-weight: bold";
function printPrevState(actionType, state) {
    console.log("---> ACTION: %c".concat(actionType.toString()), "color: #000000; ".concat(loggerStyle));
    console.log("  %cprev state ", "color: #708090; ".concat(loggerStyle), state);
}
exports.printPrevState = printPrevState;
function printNextState(state) {
    console.log("  %cnext state ", "color: #008000; ".concat(loggerStyle), state);
}
exports.printNextState = printNextState;
function printWarning(message) {
    console.log("%c".concat(message), "color: #FFA500; ".concat(loggerStyle));
}
exports.printWarning = printWarning;
