import * as React from "react";
import createConnect from "./createConnect";
import createProvider from "./createProvider";
import createStore from "./createStore";
var createReContextStore = function (_a) {
    var displayName = _a.displayName, initState = _a.initState, actions = _a.actions, isEnableLog = _a.isEnableLog;
    var Context = React.createContext(initState);
    Context.displayName = displayName || "ReactReContext";
    var store = createStore(actions, isEnableLog);
    return {
        Context: Context,
        connect: createConnect(Context.Consumer),
        Provider: createProvider(store, initState, Context.Provider),
        dispatch: store.dispatch,
    };
};
export default createReContextStore;
