"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var createConnect_1 = __importDefault(require("./createConnect"));
var createProvider_1 = __importDefault(require("./createProvider"));
var createStore_1 = __importDefault(require("./createStore"));
var createReContextStore = function (_a) {
    var displayName = _a.displayName, initState = _a.initState, actions = _a.actions, isEnableLog = _a.isEnableLog;
    var Context = React.createContext(initState);
    Context.displayName = displayName || "ReactReContext";
    var store = (0, createStore_1.default)(actions, isEnableLog);
    return {
        Context: Context,
        connect: (0, createConnect_1.default)(Context.Consumer),
        Provider: (0, createProvider_1.default)(store, initState, Context.Provider),
        dispatch: store.dispatch,
    };
};
exports.default = createReContextStore;
