var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from "react";
var createProvider = function (store, initState, Provider) {
    return /** @class */ (function (_super) {
        __extends(ReContextProvider, _super);
        function ReContextProvider(props) {
            var _this = _super.call(this, props) || this;
            _this.state = initState;
            store.setProvider(_this);
            return _this;
        }
        ReContextProvider.prototype.render = function () {
            return React.createElement(Provider, __assign({ value: this.state }, this.props));
        };
        return ReContextProvider;
    }(React.PureComponent));
};
export default createProvider;
